Package twisted :: Package im :: Module pbsupport :: Class TwistedWordsGroup |
[frames | no frames]

## Class TwistedWordsGroup

    AbstractGroup --+
                    |
                   TwistedWordsGroup

Method Summary
| `__init__(self, name, wordsClient)`
| `joining(self)`
| `leave(self)`
| `leaving(self)`
| `metadataFailed(self, result, text)`
| ``sendGroupMessage`(self, text, metadata)` Return a deferred.
| `setTopic(self, text)`
Inherited from AbstractGroup
| ``__repr__`(self)`
| ``__str__`(self)`
| ``getGroupCommands`(self)` finds group commands
| ``getTargetCommands`(self, target)` finds group commands
| ``join`(self)`

Class Variable Summary
`tuple` | `__implements__` = `(<class twisted.im.interfaces.IGroup at...`

Method Details

### sendGroupMessage(self, text, metadata=None) Return a deferred.

Class Variable Details

    ### __implements__ Type: `tuple` Value:
        (<class twisted.im.interfaces.IGroup at 0x85ab7b4>,)

Generated by Epydoc 2.0 on Sat Oct 25 00:55:08 2003 | http://epydoc.sf.net